# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Sizing Class Reference

## Public Member Functions
void | addEquation (const std::string &equationName, Equation *)
| adds an equation to the sizing. More...
Operator * | addOperator (const std::string &instanceName, const std::string &operatorName, const std::string &simulModel)
| adds an Operator to the sizing. More...
const std::map< std::string, Equation * > & | getEquations ()
| returns the map of sizing's equations.
const std::map< std::string, Operator * > & | getOperators ()
| returns the map of sizing's Operator.
bool | hasNoEquations ()
| returns true if the sizing has no equation.
bool | hasNoOperators ()
| returns true if the sizing has no Operator.
| Sizing (Circuit *)
| creates a new sizing procedure. More...

## Detailed Description

This class describes a sizing procedure.

The Sizing object is used to store all informations relative to sizing procedure as we defined it in CHAMS.

Note
  The Sizing object is optionnal in Circuit.

## Constructor & Destructor Documentation

## ◆ Sizing()

Sizing | ( | Circuit * | circuit | ) |

creates a new sizing procedure.

Parameters

  circuit | the circuit to which the sizing belongs.

## Member Function Documentation

## ◆ addEquation()

void addEquation | ( | const std::string & | equationName,
|  | Equation * | equation
| ) |  |

adds an equation to the sizing.

Parameters

  name | the name of the equation.
  equation | the equation string.

## ◆ addOperator()

Operator * addOperator | ( | const std::string & | instanceName,
|  | const std::string & | operatorName,
|  | const std::string & | simulModel
| ) |  |

adds an Operator to the sizing.

Parameters

  instanceName | the instance's name to which the operator is associated.
  operatorName | the name of the operator.
  simulModel | the simulation model associated to the operator.
  callOrder | the call order of the operator in sizing procedue.

Returns
  the newly created Operator.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved